using System;
using System.Collections.Generic;
using System.Text;

namespace PublicDomain
{
    /// <summary>
    /// http://wwp.greenwichmeantime.com/info/timezone.htm
    /// </summary>
    [Serializable]
    public static class TzConstants
    {
        /// <summary>
        /// UTC-5
        /// </summary>
        public const string TimezoneUsEastern = "US/Eastern";

        /// <summary>
        /// UTC-6
        /// </summary>
        public const string TimezoneUsCentral = "US/Central";

        /// <summary>
        /// UTC-7
        /// </summary>
        public const string TimezoneUsMountain = "US/Mountain";

        /// <summary>
        /// UTC-8
        /// </summary>
        public const string TimezoneUsPacific = "US/Pacific";

        /// <summary>
        /// UTC-11
        /// </summary>
        public const string TimezonePacificMidway = "Pacific/Midway";

        /// <summary>
        /// UTC-10
        /// </summary>
        public const string TimezonePacificHonolulu = "Pacific/Honolulu";

        /// <summary>
        /// UTC-9:30
        /// </summary>
        public const string TimezonePacificMarquesas = "Pacific/Marquesas";

        /// <summary>
        /// UTC-9
        /// </summary>
        public const string TimezoneAmericaAnchorage = "America/Anchorage";

        /// <summary>
        /// UTC-8
        /// </summary>
        public const string TimezoneAmericaLosAngeles = "America/Los_Angeles";

        /// <summary>
        /// UTC-7
        /// </summary>
        public const string TimezoneAmericaDenver = "America/Denver";

        /// <summary>
        /// UTC-6
        /// </summary>
        public const string TimezoneAmericaChicago = "America/Chicago";

        /// <summary>
        /// UTC-5
        /// </summary>
        public const string TimezoneAmericaNewYork = "America/New_York";

        /// <summary>
        /// UTC-4
        /// </summary>
        public const string TimezoneAmericaLaPaz = "America/La_Paz";

        /// <summary>
        /// UTC-3:30
        /// </summary>
        public const string TimezoneAmericaStJohns = "America/St_Johns";

        /// <summary>
        /// UTC-3
        /// </summary>
        public const string TimezoneAmericaArgentinaBuenosAires = "America/Argentina/Buenos_Aires";

        /// <summary>
        /// UTC-2
        /// </summary>
        public const string TimezoneAmericaNoronha = "America/Noronha";

        /// <summary>
        /// UTC-1
        /// </summary>
        public const string TimezoneAtlanticAzores = "Atlantic/Azores";

        /// <summary>
        /// UTC+0
        /// </summary>
        public const string TimezoneUtc = "UTC";

        /// <summary>
        /// UTC+1
        /// </summary>
        public const string TimezoneEuropeParis = "Europe/Paris";

        /// <summary>
        /// UTC+2
        /// </summary>
        public const string TimezoneEuropeAthens = "Europe/Athens";

        /// <summary>
        /// UTC+3
        /// </summary>
        public const string TimezoneEuropeMoscow = "Europe/Moscow";

        /// <summary>
        /// UTC+3:30
        /// </summary>
        public const string TimezoneAsiaTehran = "Asia/Tehran";

        /// <summary>
        /// UTC+4
        /// </summary>
        public const string TimezoneAsiaDubai = "Asia/Dubai";

        /// <summary>
        /// UTC+4:30
        /// </summary>
        public const string TimezoneAsiaKabul = "Asia/Kabul";

        /// <summary>
        /// UTC+5
        /// </summary>
        public const string TimezoneAsiaKarachi = "Asia/Karachi";

        /// <summary>
        /// UTC+5:30
        /// </summary>
        public const string TimezoneAsiaCalcutta = "Asia/Calcutta";

        /// <summary>
        /// UTC+6
        /// </summary>
        public const string TimezoneAsiaOmsk = "Asia/Omsk";

        /// <summary>
        /// UTC+6:30
        /// </summary>
        public const string TimezoneIndianCocos = "Indian/Cocos";

        /// <summary>
        /// UTC+7
        /// </summary>
        public const string TimezoneAsiaJakarta = "Asia/Jakarta";

        /// <summary>
        /// UTC+8
        /// </summary>
        public const string TimezoneAsiaShanghai = "Asia/Shanghai";

        /// <summary>
        /// UTC+9
        /// </summary>
        public const string TimezoneAsiaTokyo = "Asia/Tokyo";

        /// <summary>
        /// UTC+9:30
        /// </summary>
        public const string TimezoneAustraliaDarwin = "Australia/Darwin";

        /// <summary>
        /// UTC+10
        /// </summary>
        public const string TimezonePacificGuam = "Pacific/Guam";

        /// <summary>
        /// UTC+10:30
        /// </summary>
        public const string TimezoneAustraliaLordHowe = "Australia/Lord_Howe";

        /// <summary>
        /// UTC+11
        /// </summary>
        public const string TimezonePacificGuadalcanal = "Pacific/Guadalcanal";

        /// <summary>
        /// UTC+11:30
        /// </summary>
        public const string TimezonePacificNorfolk = "Pacific/Norfolk";

        /// <summary>
        /// UTC+12
        /// </summary>
        public const string TimezonePacificFiji = "Pacific/Fiji";

        /// <summary>
        /// UTC+13
        /// </summary>
        public const string TimezonePacificEnderbury = "Pacific/Enderbury";

        /// <summary>
        /// UTC+14
        /// </summary>
        public const string TimezonePacificKiritimati = "Pacific/Kiritimati";
    }
}
